#ifdef OPENGL_ES2_SUPPORT
precision highp float;
#endif

uniform sampler2D DiffuseTexture;
uniform sampler2D TransparentTexture;

varying vec2 Texcoord;
varying vec4 VertexColor;

void main (void)
{
  vec3  diffuse_color = texture2D (DiffuseTexture, Texcoord).xyz;
  float transparency  = texture2D (TransparentTexture, Texcoord).x;
   
  gl_FragColor = vec4 (diffuse_color, transparency) * VertexColor;
}
